exports.extendBind = function extendBind(objTo, objFrom, context) {
    context = context || objFrom;
    for (var prop in objFrom) {
        if (objFrom.hasOwnProperty(prop) && typeof objFrom[prop] === 'function') {
            objTo[prop] = objFrom[prop].bind(context);
        }
    }
    return objTo;
}